SDL_SetJoystickPlayerIndex(3)

NAME
SDL_SetJoystickPlayerIndex - Set the player index of an opened joystick.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

bool SDL_SetJoystickPlayerIndex(SDL_Joystick *joystick, int player_index);

FUNCTION PARAMETERS

joystick
    the SDL_Joystick obtained from SDL_OpenJoystick().

player_index
    player index to assign to this joystick, or -1 to clear the player index and turn off player LEDs.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetJoystickPlayerIndex(3)